Skip to main content
Weavr API
Trusted payees

List payees

GET/beneficiaries

Returns the logged-in identity's trusted payees that match the supplied batch and group filters.

Trusted payees are saved recipients that can be referenced by beneficiaryId in sends and outgoing wire transfers. They can't be shared between identities.

Request

Query parameters

Responses

200OK

Success

Headers
Body
application/json
{}
objectobject · 3 fields
Response example
{  "beneficiaries": [    {      "trustLevel": {},      "externalRefs": [        "string"      ],      "group": "string",      "beneficiaryInformation": {        "businessName": "string"      },      "beneficiaryDetails": {        "instrument": {          "id": "123456789",          "type": "managed_accounts"        }      },      "id": "string",      "relatedOperationBatches": [        {          "batchId": "123456789",          "operation": "CREATE"        }      ],      "state": "INITIALISED",      "validationFailure": "INSTRUMENT_DETAILS_NOT_FOUND"    }  ],  "count": 0,  "responseCount": 0}